Folks.StructuredName.StructuredName – folks Reference Manual

# StructuredName

## Description:

public StructuredName (string? family_name, string? given_name, string? additional_names, string? prefixes, string? suffixes)

Create a StructuredName.

You can pass `null` if a component is not set.

## Parameters:

family_name | the family (last) name
given_name | the given (first) name
additional_names | additional names
prefixes | prefixes of the name
suffixes | suffixes of the name

## Returns:

a new StructuredName

## Since:

0.3.5